<?php
/*
Plugin Name: Slide Heading Level
Plugin URI: http://www.h-fj.com/blog/wpplgdoc/slideheadinglevel.php
Description: 見出しタグのレベルをスライドします
Version: 1.0
Author: 藤本　壱
Author URI: http://www.h-fj.com/blog/
*/

function slide_heading_level_h1($atts, $content) {
	return slide_heading_level(1, $atts, $content);
}

function slide_heading_level_h2($atts, $content) {
	return slide_heading_level(2, $atts, $content);
}

function slide_heading_level_h3($atts, $content) {
	return slide_heading_level(3, $atts, $content);
}

function slide_heading_level_h4($atts, $content) {
	return slide_heading_level(4, $atts, $content);
}

function slide_heading_level_h5($atts, $content) {
	return slide_heading_level(5, $atts, $content);
}

function slide_heading_level($level, $atts, $content) {
	if (!isset($content)) {
		return '';
	}
	if (!is_singular()) {
		$level++;
	}
	$out = "<h{$level}";
	if ($atts != '') {
		foreach ($atts as $attr => $value) {
			$out .= " ${attr}=\"${value}\"";
		}
	}
	$out .= ">${content}</h{$level}>";
	return $out;
}

for ($level = 1; $level <= 5; $level++) {
	add_shortcode("h${level}", "slide_heading_level_h${level}");
}
?>
